## gprbuild 1.3.0

=== doc/Makefile ===
## The documentation packages are built in subdirectories, to match
## what is done in AdaCore's automatic packaging

DOC=gprbuild_ug
MAKEINFO_HTML_FLAGS=--html --number-sections --css-include=gprbuild.css --no-headers --no-split

MAKE_INFO=makeinfo --force --no-split
MAKE_TXT=$(MAKE_INFO) --no-headers --fill-column=79
MAKE_PDF=texi2pdf -q
MKDIR=mkdir -p
RMDIR=rmdir
CP=cp

.PHONY: all txt info html pdf clean

all: txt info html pdf

# The following are written to make sure the build fails if the output file
# already exists, and cannot be overwritten. For example, if we have
# pdf/gprbuild_ug.pdf open in a browser on windows, the $(MAKE_PDF) command
# will complain:
#    cp: cannot create regular file `.../gprbuild_ug.pdf': Device or resource busy
# but still returns a zero (successful) exit status. Therefore, we delete the
# output first, so the ${RMDIR} will correctly return a non-zero status.
# But if pdf does not exist, then the ${RMDIR} command will incorrectly fail;
# therefore, we do ${MKDIR} first -- hence we do ${MKDIR} twice, which is a bit
# odd, but successfully works around the bug in $(MAKE_PDF) (i.e. texi2pdf).

txt:
	${MKDIR} txt
	${RM} txt/*
	${RMDIR} txt
	${MKDIR} txt
	$(MAKE_TXT) -o txt/$(DOC).txt $(DOC).texi
info:
	${MKDIR} info
	${RM} info/*
	${RMDIR} info
	${MKDIR} info
	$(MAKE_INFO) -o info/$(DOC).info $(DOC).texi
html:
	${MKDIR} html
	${RM} html/*
	${RMDIR} html
	${MKDIR} html
	$(MAKE_INFO) ${MAKEINFO_HTML_FLAGS} -o html/$(DOC).html $(DOC).texi
	$(CP) important.png note.png tip.png html/
pdf:
	${MKDIR} pdf
	${RM} pdf/*
	${RMDIR} pdf
	${MKDIR} pdf
	cd pdf; $(MAKE_PDF) -c ../$(DOC).texi

partial_clean:
	${RM} ${DOC}.aux ${DOC}.cp ${DOC}.cps ${DOC}.cps ${DOC}.fn
	${RM} ${DOC}.ky ${DOC}.log ${DOC}.pg ${DOC}.toc ${DOC}.tp
	${RM} ${DOC}.vr

clean: partial_clean
	${MKDIR} txt html info pdf
	${RM} txt/* html/* info/* pdf/*
	${RMDIR} txt html info pdf

=== examples/ada_cpp/Makefile ===
all: default.cgpr
	gprbuild animals.gpr
	gprbuild except.gpr

default.cgpr:
	gprconfig --batch --config Ada,,sjlj  --config C++ -o $@

clean: force
	gprclean -r -Panimals
	gprclean -r -Pexcept
	$(RM) default.cgpr

run: all
	ada_main
	cpp_main
	main
force:

=== debian/changelog ===
gprbuild (1.3.0-2) unstable; urgency=low

  * change to source format 3.0 (quilt)

  * bump debhelper version

  * debian/control (Suggests): add gnat, ada-compiler, as required by
    Debian Ada Policy

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Thu, 01 Jul 2010 20:02:22 -0400

gprbuild (1.3.0-1) unstable; urgency=low

  * update to new upstream version. (Closes: #571013)

  * debian/README.source, debian/patch/*.patch: update for upstream 1.3.0
  (Closes: #571013)

  * debian/control (Architecture): change to any. (Closes: #568437)

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 07 Mar 2010 10:10:50 -0500

gprbuild (1.2.0-4) unstable; urgency=low

  * control (Standards-Version): bump to 3.8.4
  * debian/patches: add remove_rpath.patch. (Closes: #569723)
  * debian/rules: install gprbuild_gps.xml
  * debian/aunit_example.adb: revert to aunit 1.03

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 14 Feb 2010 09:14:28 -0500

gprbuild (1.2.0-3) unstable; urgency=low

  * debian/patches/default_path.patch: new patch to use
    Sdefault.Search_Dir_Prefix for default gpr search path.
  * debian/rules: generate sdefault.adb to set default gpr search path
    according to Debian Ada Policy. (Closes: #567575)
  * debian/patches/version.patch: new patch to include Debian upload
    number in version string.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 31 Jan 2010 05:16:51 -0500

gprbuild (1.2.0-2) unstable; urgency=low

  * share/gprconfig/*.xml: patch to call gcc-4.4, g++-4.4, gfortran-4.4
    explicitly, since they can be installed at the same time as *-4.3.
    (Closes: #565782)

  * debian/README.Debian: New file.

  * debian/README.source: document gcc version issues.

  * debian/patches/compilers.patch: update

  * debian/rules: update comments on running tests with specific versions.

  * debian/rules: specify package to dh_*, so binary-arch only builds
    gprbuild, and binary-indep only builds gprbuild-doc. (Closes:
    #565617).

  * copyright: add AdaCore for some files.

  * debian/test_installed.sh: update version

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 20 Jan 2010 05:12:29 -0500

gprbuild (1.2.0-1) unstable; urgency=low

  [Stephen Leake]
  * new source package, providing gprbuild binary and gprbuild-doc.
    Closes: 563242

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Mon, 04 Jan 2010 06:01:25 -0500

Local variables:
left-margin: 2
End:

=== debian/control ===
Source: gprbuild
Section: devel
Priority: optional
Maintainer: Stephen Leake <stephen_leake@stephe-leake.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.9.3), gnat, gnat-4.4, libxmlada3.2-dev, quilt
Standards-Version: 3.9.0
Homepage: http://libre.adacore.com/libre/
XS-Vcs-Mtn: www.ada-france.org org.debian.gprbuild
XS-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild

Package: gprbuild
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, ada-compiler, gnat-4.4, g++-4.4, gcc-4.4, gfortran-4.4, gprbuild-doc
Description: a multi-language extensible build tool
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the executables gprbuild, gprclean, gprconfig.

Package: gprbuild-doc
Section: doc
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Suggests: gnat, ada-compiler
Description: a multi-language extensible build tool
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the documentation for gprbuild, gprclean,
 gprconfig, in HTML, info, and pdf formats.

=== debian/rules ===
#!/usr/bin/make -f
#
# Debian Makefile for gprbuild
# Copyright (c) 2009, 2010 Stephen Leake <stephen_leake@stephe-leake.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# To build this package in a chroot:
#
# edit version in ../src/gpr_version.ads
# edit patches/version.patch to match
#
# schroot -d `cd ..; pwd` --chroot=unstable -- dpkg-buildpackage -uc -us -i"_MTN|\\.mtn-ignore"
#
# To run lintian:
# schroot -d `cd ..; pwd` --chroot=unstable -- make -f debian/rules lint
#
# To install the packages and run the examples:
#
# We want to test that gprbuild doesn't depend on the current gcc,
# only on current gcc-x.y, because if someone installs gprbuild on a
# 'testing' system that has only gcc-4.3, gcc will stay pointing at
# gcc-4.3. To do that, we install both and old and the current version
# of gcc-x.y, and manually change the symlink gcc -> gcc-4.3 (various
# build tools require gcc). Similarly, we don't install 'g++', but
# rather 'g++-4.4', etc.
#
# sudo schroot --chroot=unstable -- aptitude install gcc-4.3
# sudo schroot --chroot=unstable -- aptitude install g++-4.4
# sudo schroot --chroot=unstable -- aptitude install gfortran-4.4
# sudo schroot --chroot=unstable -- aptitude install liblapack3gf
# sudo schroot --chroot=unstable -- aptitude install libaunit1-dev
# sudo shcroot --chroot=unstable -- rm /usr/bin/gcc
#
# schroot --chroot=unstable -- ./test_installed.sh
# sudo schroot --chroot=unstable -- ln -s /usr/bin/gcc /usr/bin/gcc-4.4
#
# to clean up after the test:
# sudo schroot --chroot=unstable -- ./test_clean.sh

.SUFFIXES=

# We use gnatmake, not make, for parallel builds.
.NOTPARALLEL:
export CPUS := $(shell getconf _NPROCESSORS_ONLN)

# Targets mandated by the Debian Policy

.PHONY: build binary binary-arch binary-indep clean

build: generate-stamp build-stamp

C_OBJS := debian/tmp/obj/gprbuild_dummies.o debian/tmp/obj/link.o

generate-stamp: src/gprconfig-sdefault.ads sdefault-body-stamp

build-stamp: $(C_OBJS)
	dh_testdir
	gnatmake -j$(CPUS) -p -Pdebian/gprbuild_build
	touch $@

# The upstream Makefile builds these C files with no optimization. The
# functions in gprbuild_dummies.c just call abort; link.c only has
# constant object declarations. So it doesn't hurt to have $(CFLAGS) here.
debian/tmp/obj/gprbuild_dummies.o: src/gprbuild_dummies.c | debian/tmp/obj
	gcc -c $(CFLAGS) -o $@ $<

debian/tmp/obj/link.o: gnat/link.c | debian/tmp/obj
	gcc -c $(CFLAGS) -o $@ $<

debian/tmp/obj:
	mkdir -p $@

# It is important to use the Ada compiler driver as opposed to the C compiler driver;
# they may be different on the build host.
target := `gnatgcc -dumpmachine`
version := `gnatgcc -dumpversion`
libsubdir := /usr/lib/gcc/$(target)/$(version)
src/gprconfig-sdefault.ads :
	echo "package GprConfig.Sdefault is" > src/gprconfig-sdefault.ads
	echo "   pragma Warnings (Off);" >> src/gprconfig-sdefault.ads
	echo "   Hostname : constant String := \"$(target)\";" >> src/gprconfig-sdefault.ads
	echo "end GprConfig.Sdefault;" >> src/gprconfig-sdefault.ads

sdefault-body-stamp:
	echo "pragma Style_Checks (Off);" > gnat/sdefault.adb
	echo "package body Sdefault is" >> gnat/sdefault.adb
	echo "   function Include_Dir_Default_Name return String_Ptr is" >> gnat/sdefault.adb
	echo "   begin" >> gnat/sdefault.adb
	echo "      return new String'(\"$(libsubdir)/adainclude/\");" >> gnat/sdefault.adb
	echo "   end Include_Dir_Default_Name;" >> gnat/sdefault.adb
	echo "   function Object_Dir_Default_Name return String_Ptr is" >> gnat/sdefault.adb
	echo "   begin" >> gnat/sdefault.adb
	echo "      return new String'(\"$(libsubdir)/adalib/\");" >> gnat/sdefault.adb
	echo "   end Object_Dir_Default_Name;" >> gnat/sdefault.adb
	echo "   function Target_Name return String_Ptr is" >> gnat/sdefault.adb
	echo "   begin" >> gnat/sdefault.adb
	echo "      return new String'(\"$(target)/\");" >> gnat/sdefault.adb
	echo "   end Target_Name;" >> gnat/sdefault.adb
	echo "   function Search_Dir_Prefix return String_Ptr is" >> gnat/sdefault.adb
	echo "   begin" >> gnat/sdefault.adb
	echo "      return new String'(\"/usr/share/ada/adainclude/\");" >> gnat/sdefault.adb
	echo "   end Search_Dir_Prefix;" >> gnat/sdefault.adb
	echo "end Sdefault;" >> gnat/sdefault.adb
	touch sdefault-body-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean -a
	rm -rf debian/gprbuild-doc
	rm -f *-stamp
	rm -f src/gprconfig-sdefault.ads

binary: binary-indep binary-arch

# we are not patching the doc sources, so we can just install the
# pre-built files from the orig tarball.
binary-indep:
	dh_installchangelogs -p gprbuild-doc
	dh_installdocs -p gprbuild-doc doc/html
	dh_installinfo -p gprbuild-doc doc/info/gprbuild_ug.info
	dh_installdocs -p gprbuild-doc doc/pdf/gprbuild_ug.pdf
	dh_installdocs -p gprbuild-doc features-*
	dh_installdocs -p gprbuild-doc known-problems-*
	dh_installexamples -p gprbuild-doc examples/*
	dh_lintian -p gprbuild-doc
	dh_compress -p gprbuild-doc
	dh_fixperms -p gprbuild-doc
	dh_gencontrol -p gprbuild-doc
	dh_md5sums -p gprbuild-doc
	dh_builddeb -p gprbuild-doc

binary-arch: build
	dh_testdir
	dh_testroot
	dh_installchangelogs -p gprbuild
	dh_install -p gprbuild debian/tmp/gprbuild usr/bin
	dh_install -p gprbuild debian/tmp/gprclean usr/bin
	dh_install -p gprbuild debian/tmp/gprconfig usr/bin
	dh_install -p gprbuild debian/tmp/gprbind usr/lib
	dh_install -p gprbuild debian/tmp/gprlib usr/lib
	dh_install -p gprbuild share/gprconfig/*.xml usr/share/gprconfig
	dh_install -p gprbuild doc/gprbuild_gps.xml /usr/share/gps/plug-ins/
	dh_strip -p gprbuild
	dh_installdirs -p gprbuild /usr/share/gprconfig
	dh_install -p gprbuild share/gprconfig/* /usr/share/gprconfig
	dh_installman -p gprbuild debian/gprbuild.1 debian/gprclean.1 debian/gprconfig.1
	dh_installdocs -p gprbuild
	dh_lintian -p gprbuild
	dh_shlibdeps -p gprbuild
	dh_compress -p gprbuild
	dh_fixperms -p gprbuild
	dh_gencontrol -p gprbuild
	dh_md5sums -p gprbuild
	dh_builddeb -p gprbuild

lint: version := $(shell dpkg-parsechangelog | grep "Version: " | sed "s/Version: //")
lint: arch := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
lint:
	cd ..; lintian -i gprbuild_$(version)_$(arch).changes

# end of file

## gprbuild 2011

=== doc/Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 MKDIR=mkdir -p
 RMDIR=rmdir
 CP=cp
+EXE=
 
 .PHONY: all txt info html pdf clean
 
@@ -26,36 +27,41 @@
 # therefore, we do ${MKDIR} first -- hence we do ${MKDIR} twice, which is a bit
 # odd, but successfully works around the bug in $(MAKE_PDF) (i.e. texi2pdf).
 
-txt:
+txt: prepare
 	${MKDIR} txt
 	${RM} txt/*
 	${RMDIR} txt
 	${MKDIR} txt
 	$(MAKE_TXT) -o txt/$(DOC).txt $(DOC).texi
-info:
+info: prepare
 	${MKDIR} info
 	${RM} info/*
 	${RMDIR} info
 	${MKDIR} info
 	$(MAKE_INFO) -o info/$(DOC).info $(DOC).texi
-html:
+html: prepare
 	${MKDIR} html
 	${RM} html/*
 	${RMDIR} html
 	${MKDIR} html
 	$(MAKE_INFO) ${MAKEINFO_HTML_FLAGS} -o html/$(DOC).html $(DOC).texi
 	$(CP) important.png note.png tip.png html/
-pdf:
+pdf: prepare
 	${MKDIR} pdf
 	${RM} pdf/*
 	${RMDIR} pdf
 	${MKDIR} pdf
 	cd pdf; $(MAKE_PDF) -c ../$(DOC).texi
 
+prepare:
+	gnatmake ../gnat/xgnatugn
+	xgnatugn${EXE} unw ../gnat/projects.texi ../gnat/ug_words projects_unw.texi
+
 partial_clean:
 	${RM} ${DOC}.aux ${DOC}.cp ${DOC}.cps ${DOC}.cps ${DOC}.fn
 	${RM} ${DOC}.ky ${DOC}.log ${DOC}.pg ${DOC}.toc ${DOC}.tp
 	${RM} ${DOC}.vr
+	${RM} xgnatugn* projects_unw.texi
 
 clean: partial_clean
 	${MKDIR} txt html info pdf

=== examples/Makefile ===
PTH := .:$(PATH)
export PATH=${PTH}

all clean run:
	-${foreach dir,${wildcard */}, ${MAKE} $@ -C ${dir};}
.PHONY: all clean run

=== examples/ada_cpp/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 	gprbuild except.gpr
 
 default.cgpr:
-	gprconfig --batch --config Ada,,sjlj  --config C++ -o $@
+	gprconfig --batch --config Ada  --config C++ -o $@
 
 clean: force
 	gprclean -r -Panimals

=== examples/ada_f77/Makefile ===
all: default.cgpr
	gprbuild ft.gpr

default.cgpr:
	gprconfig --batch --config Ada,,sjlj  --config Fortran -o $@

clean:
	gprclean -q -r ft.gpr
	$(RM) default.cgpr

run: all
	fobj/ess

=== examples/extended_projects/Makefile ===
all: ../subsystems/default.cgpr
	gprbuild -Pnew_ada_main --config=../subsystems/default.cgpr

../subsystems/default.cgpr:
	make -C ../subsystems default.cgpr

clean:
	gprclean -r -Pnew_ada_main --config=../subsystems/default.cgpr


run: all
	ada_main

=== examples/first_steps/Makefile ===
all: default.cgpr
	gprbuild -Pc_main
	gprbuild -Pada_main

default.cgpr:
	gprconfig --batch --config Ada,,default  --config C -o $@

clean: force
	gprclean -Pc_main
	gprclean -Pada_main
	$(RM) default.cgpr

run: all
	ada_main
	obj1/c_main
force:

=== examples/libraries/Makefile ===
all: default.cgpr
	gprbuild main0.gpr
	gprbuild main1.gpr
	gprbuild main2.gpr
	gprbuild main3.gpr
	gprbuild main4.gpr

default.cgpr:
	gprconfig --batch --config Ada,,default  --config C -o $@

clean: force
	gprclean -r main0.gpr
	gprclean -r main1.gpr
	gprclean -r main2.gpr
	gprclean -r main3.gpr
	gprclean -r main4.gpr
	$(RM) default.cgpr

run: all
	main0
	main1
	(PATH="lib2:${PATH}" main2)
	(PATH="lib3:${PATH}" main3)
	(PATH="lib2:${PATH}" main4)

force:

=== examples/matrix/Makefile ===
all: default.cgpr
	gprbuild

default.cgpr:
	gprconfig --batch --config Ada,,default  --config C --config Fortran -o $@

clean: force
	gprclean
	$(RM) default.cgpr

run: all
	obj/main
force:

=== examples/namings/Makefile ===
all: default.cgpr
	gprbuild -Pnamings -XC1=case1
	gprbuild -Pnamings -XC1=case2
	gprbuild -Pnamings -XC1=case3

default.cgpr:
	gprconfig --batch --config Ada,,default  --config C -o $@

clean: force
	gprclean -Pnamings -XC1=case1
	gprclean -Pnamings -XC1=case2
	gprclean -Pnamings -XC1=case3
	$(RM) default.cgpr

run: all
	main-case1
	main-case2
	main-case3
force:

=== examples/ppc-elf/Makefile ===
all: objs/hello

objs/hello: hello.cgpr force
	gprbuild --config=hello.cgpr -Phello

hello.cgpr:
	gprconfig --batch --target=powerpc-elf --config Ada,,zfp --config Asm --config C -o $@

clean: force
	gprclean --config=hello.cgpr -Phello
	$(RM) hello.cgpr

run: all
	powerpc-elf-gdb --batch --command=gdb.run objs/hello

force:

=== examples/scenarios/Makefile ===
all: default.cgpr
	gprbuild main.gpr -XLIB=static
	gprbuild main.gpr -XLIB=dynamic


default.cgpr:
	gprconfig --batch --config Ada,,default  --config C -o $@

clean: force
	gprclean -r main.gpr -XLIB=static
	gprclean -r main.gpr -XLIB=dynamic
	$(RM) default.cgpr

run: all
	obj/main
	(PATH="../libraries/lib2:${PATH}" obj1/main)

force:

=== examples/subsystems/Makefile ===
all: default.cgpr
	gprbuild -Pc_main
	gprbuild -Pada_main

default.cgpr:
	gprconfig --batch --config Ada,,default  --config C -o $@

clean: force
	gprclean -r -Pc_main
	gprclean -r -Pada_main
	$(RM) default.cgpr

run: all
	ada_main
	c_main
force:

=== debian/changelog ===
gprbuild (2011-4) unstable; urgency=low

  * New maintainer. Closes: #673751.
  * copyright, patches/correct_doc_license.diff, source.lintian-overrides:
    Replace obsolete license headers. Closes: #708942.
  * patches/libraries_after_link_options.diff. Closes: #705812.
    When linking libraries, put "-l" arguments after the others.
  * control: removed obsolete Suggests: ada-compiler and DM-Upload-Allowed.
  * rules: debhelper 9, hardening flags.
    Rebuild documentation from its sources, register it in doc-base.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 16 Jul 2013 12:30:21 +0200

gprbuild (2011-3) unstable; urgency=low

  [Svante Signell]
  * debian/patches/hurd-i386.patch: new, add support for hurd-i386.
    Closes: #673015.

 -- Ludovic Brenta <lbrenta@debian.org>  Thu, 19 Jul 2012 21:23:10 +0200

gprbuild (2011-2) unstable; urgency=low

  * Provisionally adopt the package without closing #673751 yet; only
    because some packages build-depend on gprbuild.
  * debian/patches/gprconfig.patch (compilers.xml): make the <executable>
    match the <external> command for G++.  Closes: #679061.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 26 Jun 2012 08:15:07 +0200

gprbuild (2011-1) unstable; urgency=low

  * New upstream release (Closes: #588533).
    
  * compile with gnat-4.6.

  * make multi-arch compatible (Closes: #633981).

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 21 Sep 2011 08:29:46 -0400

=== debian/control ===
Source: gprbuild
Section: devel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6,
 libxmlada4.1-dev
Build-Depends-Indep: texinfo (>= 5),
 texlive-latex-base
Standards-Version: 3.9.4
Homepage: http://libre.adacore.com/libre/
Vcs-Mtn: www.ada-france.org org.debian.gprbuild
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild

Package: gprbuild
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, gnat-4.6, g++-4.6, gcc-4.6, gfortran-4.6, gprbuild-doc
Description: multi-language extensible build tool
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the executables gprbuild, gprclean, gprconfig.

Package: gprbuild-doc
Section: doc
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Description: multi-language extensible build tool (documentation)
 A set of tools for processing GNAT project files. gprbuild runs tools
 on the specified source files; gprclean removes the corresponding
 built files; gprconfig configures both tools. It is highly
 configurable; the default configuration supports compiling Ada,
 Assembler, C, C++, and Fortran sources. It can be extended to support
 user source processing tools.
 .
 This package contains the documentation for gprbuild, gprclean,
 gprconfig, in HTML, info, and pdf formats.

=== debian/rules ===
#!/usr/bin/make -f
#
# Debian Makefile for gprbuild
# Copyright (c) 2009, 2012 Stephen Leake <stephen_leake@stephe-leake.org>
# Copyright (c) 2013       Nicolas Boulenguez <nicolas@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

# To update to a new upstream version:
# 	install the quilt package
# 	edit version in ../src/gpr_version.ads
# 	edit patches/version.patch to match (use "quilt edit file_name" then "quilt refresh")
# 	update other patches as appropriate
# 	edit control to match
#
# To build this package in a chroot:
# schroot -d `cd ..; pwd` --chroot=unstable -- dpkg-buildpackage -uc -us
#
# To run lintian:
# schroot -d `cd ..; pwd` --chroot=unstable -- make -f debian/rules lint
#
# To install the packages and run the examples:
#
# one time setup (see comment in test_installed.sh about compiler versions):
# sudo schroot --chroot=unstable -- aptitude install --without-recommends gnat-4.6-sjlj
# sudo schroot --chroot=unstable -- aptitude install --without-recommends gcc-4.4
# sudo schroot --chroot=unstable -- aptitude install --without-recommends g++-4.6
# sudo schroot --chroot=unstable -- aptitude install --without-recommends gfortran-4.6
# sudo schroot --chroot=unstable -- aptitude install --without-recommends liblapack3gf
# sudo schroot --chroot=unstable -- aptitude install --without-recommends libaunit2-dev
#
# run the test:
# schroot --chroot=unstable -- ./test_installed.sh
#
# to clean up after the test:
# sudo schroot --chroot=unstable -- ./test_clean.sh

.SUFFIXES=

include /usr/share/dpkg/default.mk
# Set CFLAGS (handling noopt from DEB_BUILD_OPTIONS), LDFLAGS,
# DEB_HOST_GNU_TYPE, DEB_HOST_ARCH, DEB_VERSION...

######################################################################
# Code snippet copied from dh_ada_library to avoid a circular
# dependency. See detail there.
ADAFLAGS := $(filter-out -Wformat -Wformat-security -Werror=format-security,\
  $(CFLAGS))
LDFLAGS += -Wl,--as-needed -Wl,-z,defs
CC := gnatgcc
.NOTPARALLEL:
BUILDER_JOBS := $(filter parallel=%,$(DEB_BUILD_OPTIONS))
ifneq (,$(BUILDER_JOBS))
  BUILDER_JOBS := $(subst parallel=,,$(BUILDER_JOBS))
else
  BUILDER_JOBS := $(shell getconf _NPROCESSORS_ONLN)
endif
BUILDER_OPTIONS := -R -j$(BUILDER_JOBS) -v -s -we


# TODO: check if this is different from DEB_HOST_GNUTYPE or DEB_HOST_MULTIARCH
target := $(shell $(CC) -dumpmachine)
version := $(shell $(CC) -dumpversion)

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch	\
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

######################################################################
# Ignore upstream configure and Makefile if ever created.
override_dh_auto_configure:
override_dh_auto_build-arch::
override_dh_auto_build-indep:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean::

######################################################################
# not clear why gprbuild_gps.xml is marked executable; fix it here
# (not covered by dh_fixperms)
override_dh_fixperms-arch:
	chmod a-x debian/gprbuild/usr/share/gps/plug-ins/gprbuild_gps.xml
	dh_fixperms --arch

######################################################################
# The project uses this instead of gnat/sdefault.adb. Patching the
# original file would cause the usual problems, and cannot be done as
# an usual patch as the changes are target-specific.
SDEFAULT := gnat/sdefault_generated.adb

override_dh_auto_build-arch:: $(SDEFAULT)
$(SDEFAULT): debian/sdefault.adb.sed
	sed $(foreach var,DEB_HOST_MULTIARCH target version \
                ,-e 's~@$(var)@~$($(var))~') $< > $@
override_dh_auto_clean::
	rm -f $(SDEFAULT)

######################################################################
GPRCONFIG_SDEFAULT := src/gprconfig-sdefault.ads

override_dh_auto_build-arch:: $(GPRCONFIG_SDEFAULT)
$(GPRCONFIG_SDEFAULT): %: %.in
	sed -e 's/@host@/$(target)/' $< > $@
override_dh_auto_clean::
	rm -f $(GPRCONFIG_SDEFAULT)

######################################################################
# Generated source needed by debian/gprbuild_build.gpr
SNAMES := gnat/snames.ads gnat/snames.adb gnat/snames.h

gnat/xsnamest: gnat/xsnamest.adb gnat/xutil.adb gnat/xutil.ads
	cd gnat && gnatmake xsnamest $(BUILDER_OPTIONS) -cargs $(ADAFLAGS) -largs $(LDFLAGS)
override_dh_auto_clean::
	rm -f gnat/xsnamest gnat/xsnamest.ali gnat/xsnamest.o gnat/xutil.ali gnat/xutil.o

override_dh_auto_build-arch:: $(SNAMES)
$(SNAMES): gnat/xsnamest $(patsubst %,gnat/snames.%-tmpl,ads adb h)
	cd gnat && ./xsnamest
	mv gnat/snames.ns gnat/snames.ads
	mv gnat/snames.nb gnat/snames.adb
	mv gnat/snames.nh gnat/snames.h
override_dh_auto_clean::
	rm -f $(SNAMES)

######################################################################
# The upstream Makefile builds these C files with no optimization. The
# functions in gprbuild_dummies.c just call abort; link.c only has
# constant object declarations. So it doesn't hurt to have CFLAGS here.
C_OBJECTS := src/gprbuild_dummies.o gnat/link.o

override_dh_auto_build-arch:: $(C_OBJECTS)
$(C_OBJECTS): %.o: %.c
	$(CC) -c $(CPPFLAGS) $(CFLAGS) $< -o $@
override_dh_auto_clean::
	rm -f $(C_OBJECTS)

######################################################################
PROJECT := debian/gprbuild_build.gpr
# In the project, paths are relative to debian/.
C_OBJS := $(addprefix ../,$(C_OBJECTS))

override_dh_auto_build-arch::
	gnatmake $(BUILDER_OPTIONS) -P$(PROJECT) \
          $(foreach flag,ADAFLAGS LDFLAGS C_OBJS,-X$(flag)='$($(flag))')
override_dh_auto_clean::
	rm -f debian/gprbuild_build_obj/*

######################################################################
# The doc sources are patched, and updating the pre-built documents
# from the orig tarball would cause building twice to fail. So we
# create them with another name.
DOCS     := $(addprefix doc/gprbuild_ug.,html info pdf txt)

TEXI2ANY := cd doc && texi2any --force gprbuild_ug.texi
override_dh_auto_build-indep: $(DOCS)
doc/gprbuild_ug.html: %.html: %.texi doc/gprbuild.css
	$(TEXI2ANY) -o $(notdir $@) --html --no-headers --css-include=gprbuild.css
	cp doc/important.png doc/note.png doc/tip.png $@
doc/gprbuild_ug.info: %.info: %.texi
	$(TEXI2ANY) -o $(notdir $@) --info --no-split
doc/gprbuild_ug.pdf: %.pdf: %.texi
	$(TEXI2ANY) -o $(notdir $@) --pdf --quiet
doc/gprbuild_ug.txt: %.txt: %.texi
	$(TEXI2ANY) -o $(notdir $@) --plaintext --no-split --no-headers --fill-column=79
override_dh_auto_clean::
	rm -f $(addprefix doc/gprbuild_ug.,aux cp cps fn info ky log pdf pg toc txt tp vr)
	rm -f -r doc/gprbuild_ug.html

######################################################################
PROJECTS_TEXI := doc/projects_unw.texi
$(DOCS): $(PROJECTS_TEXI)
$(PROJECTS_TEXI): xgnatugn gnat/projects.texi gnat/ug_words
	./$< unw gnat/projects.texi gnat/ug_words $@
override_dh_auto_clean::
	rm -f $(PROJECTS_TEXI)

xgnatugn: gnat/xgnatugn.adb
	gnatmake $< $(BUILDER_OPTIONS) -cargs $(ADAFLAGS) -largs $(LDFLAGS)
override_dh_auto_clean::
	rm -f xgnatugn xgnatugn.ali xgnatugn.o

######################################################################
lint:
	lintian -i ../gprbuild_$(DEB_VERSION)_$(DEB_BUILD_ARCH).changes

## gprbuild 2014

=== debian/changelog ===
gprbuild (2014-3) unstable; urgency=medium

  * Set target from DEB_HOST_GNU_TYPE, not config.sub. Closes: #760006.
    Else, the vendor part does not match "gcc -dumpmachine" at run time
    and gcc is not detected as a compiler.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 31 Aug 2014 02:00:13 +0200

gprbuild (2014-2) unstable; urgency=medium

  * Accept GCC version 4.9.x, ignoring x. See gcc-4.9-4.9.1-9 log entry.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Aug 2014 14:40:44 +0200

gprbuild (2014-1) unstable; urgency=medium

  * New upstream release, built with libxmlada5-dev.
  * Only detect compilers being both the Debian default and 4.9.
    README.Debian explains deal with other situations.
  * copyright: fix a typo in documentation path.
  * control: -doc does not need install-info since policy 3.9.5.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 06 Aug 2014 01:28:59 +0200

gprbuild (2013-1) unstable; urgency=low

  * New upstream version, built with gnat-4.9. Switch to GPL-3+.
  * Use libgnatprj, libgnatvsn, autoconf, debian_packaging.mk from gnat-x.y.
  * Standards-Version: 3.9.5 (no changes).
  * Move gprbind, gprlib from usr/lib/ into usr/lib/gprbuild/.
  * Move TODO and gprbuild_gps.xml form -dev package into -doc.
  * Make tests compliant with autopkg-test.
  * Merged manual pages.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 15 May 2014 20:03:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,22 @@
 Priority: optional
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
- gnat, gnat-4.6,
- libxmlada4.1-dev
+ autotools-dev, autoconf,
+# Rules regenerate all the configure stuff.
+ gnat, gnat-4.9, libgnatprj4.9-dev, libgnatvsn4.9-dev,
+ libxmlada5-dev
 Build-Depends-Indep: texinfo (>= 5),
  texlive-latex-base
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://libre.adacore.com/libre/
 Vcs-Mtn: www.ada-france.org org.debian.gprbuild
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
+XS-Testsuite: autopkgtest
 
 Package: gprbuild
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: gnat, gnat-4.6, g++-4.6, gcc-4.6, gfortran-4.6, gprbuild-doc
+Suggests: gnat, g++, gcc, gfortran, gprbuild-doc
 Description: multi-language extensible build tool
  A set of tools for processing GNAT project files. gprbuild runs tools
  on the specified source files; gprclean removes the corresponding
@@ -29,7 +32,7 @@
 Package: gprbuild-doc
 Section: doc
 Architecture: all
-Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: multi-language extensible build tool (documentation)
  A set of tools for processing GNAT project files. gprbuild runs tools
  on the specified source files; gprclean removes the corresponding

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2009-2012 Stephen Leake <stephen_leake@stephe-leake.org>
# Copyright (c) 2013-2014 Nicolas Boulenguez <nicolas@debian.org>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging.mk

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch	\
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@

# Present in the archive, but deleted by the clean target.
BACKUPS += doc/html doc/info doc/txt doc/pdf
$(addsuffix .backup,$(BACKUPS)): %.backup:
	mv $* $@

# Replace with up-to-date versions from autotools-dev.
BACKUPS += config.guess config.sub
config.guess.backup config.sub.backup: %.backup:
	mv $* $@
	ln -s /usr/share/misc/$*

# Regenerate configure.
BACKUPS += configure
configure.backup: %.backup:
	mv $* $@
	autoconf

# install-sh is not used but configure insists on seeing it.
BACKUPS += install-sh
install-sh.backup: %.backup:
	mv $* $@
	touch install-sh

# Ensure no files is ever used from gnat/, as the upstream
# Makefile hardcodes this path in many unexpected places.
BACKUPS += gnat
gnat.backup: %.backup:
	mv $* $@

override_dh_auto_configure: $(addsuffix .backup,$(BACKUPS))
 # gprbind and gprlib must avoid multiarch locations because their
 # path will figure in the architecture-independant
 # /usr/share/gprconfig/*.xml.
	dh_auto_configure -- \
          --prefix="$(CURDIR)/debian/tmp/usr" \
          --libexecdir=\$${prefix}/lib
 # Set target from DEB_HOST_GNU_TYPE instead of config.sub, which adds
 # a vendor and does not match "gcc -dumpmachine" at run time.
 # The problem is hidden on usual architctures by hand-crafted
 # renamings in share/gprconfig/targetset.xml.
 # See share/gprconfig/compilers.xml, debian/patches/gprconfig.diff.
	sed -e 's/@host@/$(DEB_HOST_GNU_TYPE)/' \
	  src/gprconfig-sdefault.ads.in > src/gprconfig-sdefault.ads

override_dh_auto_build-arch:
	$(MAKE) "GNATMAKE=gnatmake -p $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')"

override_dh_auto_build-indep:
	$(MAKE) -C doc \
          "GNATMAKE=gnatmake $(BUILDER_OPTIONS) -cargs $(ADAFLAGS) -largs $(LDFLAGS) -margs"

override_dh_auto_clean::
	dh_auto_clean
 # mv -f would not have the desired effect for directory targets.
	for f in $(BACKUPS); do \
          if test -e $$f.backup; then \
            rm -fr $$f; \
            mv $$f.backup $$f; \
          fi; \
        done

override_dh_auto_test:
 # Upstream tests are not in the release archive.

override_dh_auto_install-arch:
	$(MAKE) install.data install.bin

override_dh_auto_install-indep:
	$(MAKE) install.alldocs

## gprbuild 2014dfsg

=== examples/ada_cpp/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	$(RM) default.cgpr
 
 run: all
-	ada_main
-	cpp_main
-	main
+	./ada_main
+	./cpp_main
+	./main
 force:

=== examples/extended_projects/Makefile ===
--- 
+++ 
@@ -9,4 +9,4 @@
 
 
 run: all
-	ada_main
+	./ada_main

=== examples/first_steps/Makefile ===
all: default.cgpr
	gprbuild -Pc_main
	gprbuild -Pada_main

default.cgpr:
	gprconfig --batch --config Ada  --config C -o $@

clean: force
	gprclean -Pc_main
	gprclean -Pada_main
	$(RM) default.cgpr

run: all
	./ada_main
	./obj1/c_main
force:

=== examples/matrix/Makefile ===
all: default.cgpr
	gprbuild

default.cgpr:
	gprconfig --batch --config Ada  --config C --config Fortran -o $@

clean: force
	gprclean
	$(RM) default.cgpr

run: all
	./obj/main
force:

=== examples/namings/Makefile ===
all: default.cgpr
	gprbuild -Pnamings -XC1=case1
	gprbuild -Pnamings -XC1=case2
	gprbuild -Pnamings -XC1=case3

default.cgpr:
	gprconfig --batch --config Ada  --config C -o $@

clean: force
	gprclean -Pnamings -XC1=case1
	gprclean -Pnamings -XC1=case2
	gprclean -Pnamings -XC1=case3
	$(RM) default.cgpr

run: all
	./main-case1
	./main-case2
	./main-case3
force:

=== examples/scenarios/Makefile ===
all: default.cgpr
	gprbuild main.gpr -XLIB=static
	gprbuild main.gpr -XLIB=dynamic


default.cgpr:
	gprconfig --batch --config Ada  --config C -o $@

clean: force
	gprclean -r main.gpr -XLIB=static
	gprclean -r main.gpr -XLIB=dynamic
	$(RM) default.cgpr

run: all
	./obj/main
	(PATH="../libraries/lib2:${PATH}" obj1/main)

force:

=== examples/subsystems/Makefile ===
all: default.cgpr
	gprbuild -Pc_main
	gprbuild -Pada_main

default.cgpr: force
	gprconfig --batch --config Ada --config C -o $@

clean: force
	gprclean -r -Pc_main
	gprclean -r -Pada_main
	$(RM) default.cgpr

run: all
	./ada_main
	./c_main
force:

=== debian/changelog ===
gprbuild (2014dfsg-3) unstable; urgency=medium

  [ Matthias Klose ]
  * tests/control: examples depend on make. Closes: #798644.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 14 Sep 2015 14:34:15 +0200

gprbuild (2014dfsg-2) unstable; urgency=medium

  * Add gnatgcc to the knowledge base (needed when gnat not in sync with gcc).
  * Test projects from Debian Ada libraries.
  * Standards-Version: 3.9.6, no changes required.
  * (XS-)Testsuite: now generated by dpkg-source.
  * lintian-overrides: hardening-no-fortify-functions obsolete with -O2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 Sep 2015 22:56:32 +0200

gprbuild (2014dfsg-1) unstable; urgency=medium

  * Repackage without GFDL documentation. Closes: #708942.
    - copyright: use Files-Excluded to remove the doc/subdir.
      Do not provide license stanza for removed doc/texiplus.tex.
    - control: not installing gprbuild_gps.xml at all fixes #768214 better
      than the Break/Replace dependencies introduced by 2014-5.
    - rules, gprbuild-doc.*, patches/*: do not build or install docs.
    - gprbuild-doc.examples: as install-indep does nothing, take examples
      from examples/* directly instead of debian/tmp/*.
    - update descriptions: control, gprbuild.1, README.source, README.Debian.
    - re-enable some source lintian checks related to GFDL.
  * gprbuild-doc.TODO: postpone unrelated changes for after the freeze.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 08 Nov 2014 12:15:55 +0100

gprbuild (2014-5) unstable; urgency=medium

  * gprbuild-doc Replaces/Breaks: gprbuild (<< 2013-1) which used to
    provide gprbuild_gps.xml. Closes: #768214.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 06 Nov 2014 21:12:43 +0100

gprbuild (2014-4) unstable; urgency=low

  [Nicolas Boulenguez <nicolas@debian.org>]
  * Link Ada with gnatgcc, in case gcc is not installed. Closes: #763879.

  [Ludovic Brenta <lbrenta@debian.org>]
  * debian/patches/763727.patch: new.  Bind the executable programs without
    exception tracebacks, to work around a compiler bug on kfreebsd-i386
    (see #666106).  Closes: #763727.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 5 Oct 2014 17:08:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,10 @@
  libxmlada5-dev
 Build-Depends-Indep: texinfo (>= 5),
  texlive-latex-base
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://libre.adacore.com/libre/
 Vcs-Mtn: www.ada-france.org org.debian.gprbuild
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.gprbuild
-XS-Testsuite: autopkgtest
 
 Package: gprbuild
 Architecture: any
@@ -41,5 +40,10 @@
  Assembler, C, C++, and Fortran sources. It can be extended to support
  user source processing tools.
  .
- This package contains the documentation for gprbuild, gprclean,
- gprconfig, in HTML, info, and pdf formats.
+ This package contains examples and lists of known problems.
+ .
+ The complete gprbuild user guide cannot be distributed by Debian
+ because it is licensed under the GNU Free Documentation License with
+ Invariant Sections and Cover Texts. It is published by upstream
+ authors at
+ http://docs.adacore.com/gprbuild-docs/html/gprbuild_ug.html.

=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,6 @@
 .PHONY: $(POLICY_TARGETS)
 $(POLICY_TARGETS):
 	dh $@
-
-# Present in the archive, but deleted by the clean target.
-BACKUPS += doc/html doc/info doc/txt doc/pdf
-$(addsuffix .backup,$(BACKUPS)): %.backup:
-	mv $* $@
 
 # Replace with up-to-date versions from autotools-dev.
 BACKUPS += config.guess config.sub
@@ -74,8 +69,6 @@
 	$(MAKE) "GNATMAKE=gnatmake -p $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')"
 
 override_dh_auto_build-indep:
-	$(MAKE) -C doc \
-          "GNATMAKE=gnatmake $(BUILDER_OPTIONS) -cargs $(ADAFLAGS) -largs $(LDFLAGS) -margs"
 
 override_dh_auto_clean::
 	dh_auto_clean
@@ -94,4 +87,3 @@
 	$(MAKE) install.data install.bin
 
 override_dh_auto_install-indep:
-	$(MAKE) install.alldocs

=== debian/tests/control ===
Tests: with-aunit
Depends: gprbuild, libaunit3.7.1-dev

Tests: examples
Depends: gprbuild, gnat, gcc, g++, gfortran, make
